Package Base Details: dolphin-emu-git

Git Clone URL: https://aur.archlinux.org/dolphin-emu-git.git (read-only, click to copy)
Keywords: dolphin emu emulator game gamecube gui nintendo remote revolution triforce wii wiimote
Submitter: None
Maintainer: dpeukert
Last Packager: dpeukert
Votes: 107
Popularity: 0.30
First Submitted: 2011-08-20 13:05
Last Updated: 2021-01-10 20:26

Pinned Comments

dpeukert commented on 2020-04-10 12:34

The PKGBUILD for this package is hosted here (contributions are welcome!): https://gitlab.com/dpeukert/pkgbuilds/tree/main/dolphin-emu-git

Latest Comments

« First ‹ Previous ... 7 8 9 10 11 12 13 14 15 16 17 ... Next › Last »

txus commented on 2015-12-27 15:53

@alucryd

Sorry for the late answer, holidays in the middle of nowhere with terrible internet connection got in the way...

Yep, I can confirm this too, working fine now.

c_t commented on 2015-12-20 15:11

@alucryd

Yes. Tried it out just now, works perfectly for me.

alucryd commented on 2015-12-20 12:05

Looks like it builds fine now, can you guys confirm?

c_t commented on 2015-12-16 11:24

@txus

Me too. dolphin-emu-nogui seems to link fine. I get an error for target 'GameFile.cpp.o' during linking of dolphin-emu-qt. Seems to be Qt related, but I'm not sure what is wrong. I would assume that the qt5 libraries in Arch are probably just much newer than what the dolphin team uses.

Has anyone been able to fix this?

txus commented on 2015-12-15 20:42

Anybody else getting an error during/just after linking?

godofgrunts commented on 2015-11-09 03:06

@txus

Thank you!

mralext20 commented on 2015-11-05 17:34

can you package maintainer change the PKGBUILD to not remove the build directory, instead discarding changes? this would save some bandwidth for users.

EDIT: i have found a solution to this issue. if anyone else wishes to do this, follow this page on the arch wiki.

this does not appear to be an issue with your PKGBUILD. but rather user configuration.

https://wiki.archlinux.org/index.php/Yaourt#Persistent_local_source_repositories

txus commented on 2015-10-28 07:59

Is anybody else seeing ca conflict between dolphin-emu-git and dolphin-emu-qt-git? The PKGBUILD should have the line

"rm -rf "${pkgdir}"/usr/bin/dolphin-emu-qt"

at the end of the package section of dolphin-emu-git, else both packages end up having dolphin-emu-qt.

gourdcaptain commented on 2015-10-17 19:27

I can't get this to work - launching any game results in an andless procession of "WriteRest: op out of range (0x43f76122 uses 0x55b7913e7148)" (with variable hex addresses). Any suggestions?

EDIT: Got it to work by following the wiki's suggestions and building it with -fno-pie in CXX_FLAGS.

headkase commented on 2015-10-01 13:23

Well, it's not a build problem as the package now builds correctly. If it is an emulator problem then perhaps you should open an issue on their official tracker:

https://bugs.dolphin-emu.org/projects/emulator/issues/